---
type: api
title: Get agent name for service
description: Retrieve `agentName` for a service.
url: https://www.elastic.co/docs/api/doc/kibana/v8/operation/operation-getagentnameforservice
resource: https://www.elastic.co/docs/api/doc/kibana/v8/operation/operation-getagentnameforservice
products:
  - Kibana
---

# Get agent name for service

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/apm/settings/agent-configuration/agent_name`
- `GET` `/s/{space_id}/api/apm/settings/agent-configuration/agent_name`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Description

Retrieve `agentName` for a service.

## Query string parameters

- `serviceName` (string) — required
  The name of the service
  Example: `node`

## Header parameters

- `elastic-api-version` (enum · default: 2023-10-31) — required
  The version of the API to use
  Values: `2023-10-31`

## Responses

#### `200`

Successful response

`application/json`

- `agentName` (string)
  Agent name
#### `400`

Bad Request response

`application/json`

- `error` (string)
  Error type
- `message` (string)
  Error message
- `statusCode` (number)
  Error status code
#### `401`

Unauthorized response

`application/json`

- `error` (string)
  Error type
- `message` (string)
  Error message
- `statusCode` (number)
  Error status code
#### `404`

Not found response

`application/json`

- `error` (string)
  Error type
- `message` (string)
  Error message
- `statusCode` (number)
  Error status code
## Code examples

#### Console

```console
GET kbn:/api/apm/settings/agent-configuration/agent_name?serviceName=node
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/apm/settings/agent-configuration/agent_name?serviceName=node" \
  -H "elastic-api-version: 2023-10-31" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "agentName": "nodejs"
}
```

#### 400

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "error": "Not Found",
  "message": "Not Found",
  "statusCode": 400
}
```

#### 401

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "error": "Unauthorized",
  "message": "string",
  "statusCode": 401
}
```

#### 404

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "error": "Not Found",
  "message": "Not Found",
  "statusCode": 404
}
```

